LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::xsd::WhiteSpaceTreatment Constant Group Reference

specifies possibilities how to treat whitespace in strings More...

## Variables
const short | Preserve = 0
| White spaces should be preserved when processing the string. More...
const short | Replace = 1
| White spaces should be replaced with TODO when processing the string. More...
const short | Collapse = 2
| Multiple successive white spaces should be collapsed to a single white space when processing the string. More...

## Detailed Description

specifies possibilities how to treat whitespace in strings

See also
  XDataType

## Variable Documentation

## ◆ Collapse

const short Collapse = 2

Multiple successive white spaces should be collapsed to a single white space when processing the string.

## ◆ Preserve

const short Preserve = 0

White spaces should be preserved when processing the string.

## ◆ Replace

const short Replace = 1

White spaces should be replaced with TODO when processing the string.